GeeCON Prague 2014*
The moose likes JDBC and the fly likes JDBC Realm: GlassFish v2.1 = OK; GlassFish v3 = fail with invaliduserreason Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


JavaRanch » Java Forums » Databases » JDBC
Bookmark "JDBC Realm: GlassFish v2.1 = OK; GlassFish v3 = fail with invaliduserreason" Watch "JDBC Realm: GlassFish v2.1 = OK; GlassFish v3 = fail with invaliduserreason" New topic
Author

JDBC Realm: GlassFish v2.1 = OK; GlassFish v3 = fail with invaliduserreason

Ilya Cyclone
Greenhorn

Joined: Feb 28, 2010
Posts: 4
Hi Coderanch.
In my J2EE 5 application I have a JDBC Realm based security with Form method. Encrypt method is MD5 as default.
The database is PostgreSQL 8.4 installed locally (or 8.3 available via lan).

My app used to work finely on GlassFish v2.1 server with PostgreSQL 8.3, but now I need to deploy it on GlassFish v3.
I am absolutely sure I have done all the same config on GFv3 like creating Connection Pool (which pings with no problem), JDBC Resource and JDBC Realm.

But on GFv3 I get login exception with "invaliduserreason" while the database schema is just created from the working database script.
I have checked the data and entered login/password thousand times and it seems that data is all right.

So where can I find the reason of unworking security? Please, advice.

NetBeans 6.8
Thanks.
 
GeeCON Prague 2014
 
subject: JDBC Realm: GlassFish v2.1 = OK; GlassFish v3 = fail with invaliduserreason